# GetUSBSerialNumber

### Description

Gets the serial number of a USB key on the specified path. If the path does not point to a USB, an empty string is returned.

```csharp
string GetUSBSerialNumber (string path)
```

### Parameters

| Parameter |  Type  | Description                             |
| --------- | :----: | --------------------------------------- |
| path      | string | path of a file or folder on the USB key |

### Return

| Type   | Description                           |
| ------ | ------------------------------------- |
| string | return the serial number of a USB key |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmhardware/getusbserialnumber-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
